[GH-ISSUE #1978] ts3server restart with updateonstart=on causes him to stop after updating #1552

Closed
opened 2026-02-27 02:57:46 +03:00 by kerem · 10 comments
Owner

Originally created by @xopez on GitHub (Aug 5, 2018).
Original GitHub issue: https://github.com/GameServerManagers/LinuxGSM/issues/1978

Originally assigned to: @dgibbs64 on GitHub.

Hello,

I found a little bug with the ts3server script. Don't know if this behaviour is wished, but we have to do a restart and after that a start which shouldn't be I think with ./ts3server restart.

Describe the bug
If an update is found, it applies the update, starting the server and then instantly stops it. So you have to manually restart the server.

Saw it today. From ts3server version 3.2.0 to 3.3.0 (Don't know if relevant).

To Reproduce
Steps to reproduce the behaviour:

  1. Have an outdated teamspeakserver
  2. Set updateonstart to "on"
  3. make a restart, so you want him to autoupdate and to start
  4. See the update is working but not complete restart.

Expected behaviour
A clear and concise description of what you expected to happen.

Minimum Information
TeamSpeak 3 -> updated from 3.2.0 to 3.3.0

Distro Details
=================================
Distro:    Ubuntu 16.04.5 LTS
Arch:      x86_64
Kernel:    4.15.0-29-generic
Hostname:  mightful-noobs.de
tmux:      tmux 2.1
GLIBC:     2.23

Performance
Uptime:    12d, 21h, 56m
Avg Load:  1.11, 0.98, 0.88

Mem:       total   used   free     cached   available
Physical:  15G     4.2G   434M     10G      10G
Swap:      8.0G    189M   7.8G

Storage
=================================
Filesystem:      /dev/md2
Total:           1008G
Used:            16G
Available:       941G
LinuxGSM Total:  153M
Serverfiles:     126M

TeamSpeak 3 Server Details
=================================
Server name:  TeamSpeak 3 Server
Server IP:    5.9.139.203:9987
dbplugin:     ts3db_sqlite3
Status:       ONLINE

ts3server Script Details
=================================
Service name:           ts3server
ts3server version:      180718
User:                   teamspeak
Discord alert:          off
Email alert:            off
Pushbullet alert:       off
IFTTT alert:            off
Mailgun (email) alert:  off
Pushover alert:         off
Telegram alert:         off
Update on start:        on
Location:               /home/teamspeak
Config file:            /home/teamspeak/serverfiles/ts3server.ini

Backups
=================================
No Backups created

Ports
=================================
Change ports by editing the parameters in:
/home/teamspeak/serverfiles/ts3server.ini

Useful port diagnostic command:
netstat -atunp | grep ts3server

DESCRIPTION      DIRECTION  PORT   PROTOCOL
> Voice          INBOUND    9987   udp
> ServerQuery    INBOUND    10011  tcp
> File transfer  INBOUND    30033  tcp

Status:	ONLINE

scriptog from update:

Jul 23 13:33:06.587 ts3server: START: PASS: Started TeamSpeak 3 Server
Jul 23 13:33:06.589 ts3server: START: PASS: command_start.sh exiting with code: 0
Jul 28 23:15:02.503 ts3server: UPDATE LinuxGSM: INFO: Updating LinuxGSM
Jul 28 23:15:02.787 ts3server: UPDATE LinuxGSM: INFO: checking config _default.cfg: OK
Jul 28 23:15:03.016 ts3server: UPDATE LinuxGSM: INFO: checking linuxgsm.sh: OK
Jul 28 23:15:03.911 ts3server: UPDATE LinuxGSM: INFO: checking function check_deps.sh: UPDATE
Jul 28 23:15:04.080 ts3server: UPDATE LinuxGSM: PASS: Downloading check_deps.sh: OK
Jul 28 23:15:18.706 ts3server: UPDATE LinuxGSM: PASS: Updating functions
Jul 28 23:15:18.709 ts3server: PASS: core_getopt.sh exiting with code: 0
Aug 04 23:15:02.510 ts3server: UPDATE LinuxGSM: INFO: Updating LinuxGSM
Aug 04 23:15:02.782 ts3server: UPDATE LinuxGSM: INFO: checking config _default.cfg: OK
Aug 04 23:15:02.932 ts3server: UPDATE LinuxGSM: INFO: checking linuxgsm.sh: OK
Aug 04 23:15:19.094 ts3server: UPDATE LinuxGSM: PASS: Updating functions
Aug 04 23:15:19.097 ts3server: UPDATE LinuxGSM: PASS: command_update_linuxgsm.sh exiting with code: 0
Aug 05 11:21:10.132 ts3server: STOP: PASS: Stopped TeamSpeak 3 Server
Aug 05 11:21:13.316 ts3server: LOGS: INFO: Removing logs older than 7 days
/home/teamspeak/log/script/ts3server-script-2018-07-17-15:00:39.log
/home/teamspeak/log/script/ts3server-alert.log
/home/teamspeak/log/script/ts3server-script-2018-07-20-14:30:16.log
/home/teamspeak/log/script/ts3server-script-2018-07-20-08:20:17.log
/home/teamspeak/log/script/ts3server-script-2018-07-23-13:32:56.log
/home/teamspeak/log/script/ts3server-script-2018-07-19-10:56:55.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-17__13_00_48.898936_1.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-20__06_20_25.233177_0.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-20__12_30_26.181543_1.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-19__08_57_03.167147_1.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-17__13_00_48.898936_0.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-20__06_20_25.233177_1.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-19__08_57_03.167147_0.log
/home/teamspeak/serverfiles/logs/ts3server_2018-07-20__12_30_26.181543_0.log
Aug 05 11:21:14.062 ts3server: LOGS: Removed 14 log files
Aug 05 11:21:15.063 ts3server: UPDATE: INFO: Checking for update: teamspeak.com
Aug 05 11:21:15.886 ts3server: UPDATE: PASS: Checking for update: teamspeak.com
Aug 05 11:21:20.402 ts3server: UPDATE: Update available
Aug 05 11:21:20.405 ts3server: UPDATE: Current build: 3.2.0
Aug 05 11:21:20.407 ts3server: UPDATE: Available build: 3.3.0
Aug 05 11:21:20.409 ts3server: UPDATE: 3.2.0 > 3.3.0
Aug 05 11:21:21.111 ts3server: UPDATE: PASS: Downloading teamspeak3-server_linux_amd64-3.3.0.tar.bz2: OK
Aug 05 11:21:22.048 ts3server: UPDATE: PASS: Extracting download: OK
Aug 05 11:21:22.049 ts3server: UPDATE: Copying to /home/teamspeak/serverfiles
Aug 05 11:21:25.452 ts3server: START: PASS: Started TeamSpeak 3 Server
Aug 05 11:21:28.637 ts3server: STOP: PASS: Stopped TeamSpeak 3 Server
Aug 05 11:21:28.666 ts3server: ALERT: INFO: Sending alert: Updated
Aug 05 11:21:29.076 ts3server: UPDATE: PASS: command_update.sh exiting with code: 0
Aug 05 11:21:33.608 ts3server: STOP: ERROR: TeamSpeak 3 Server is already stopped
Aug 05 11:21:36.045 ts3server: UPDATE: INFO: Checking for update: teamspeak.com
Aug 05 11:21:36.708 ts3server: UPDATE: PASS: Checking for update: teamspeak.com
Aug 05 11:21:37.718 ts3server: UPDATE: INFO: Current build: 3.3.0
Aug 05 11:21:37.720 ts3server: UPDATE: INFO: Available build: 3.3.0

Additional context
Functions are up2date cause I ran them every saturday night.

Originally created by @xopez on GitHub (Aug 5, 2018). Original GitHub issue: https://github.com/GameServerManagers/LinuxGSM/issues/1978 Originally assigned to: @dgibbs64 on GitHub. Hello, I found a little bug with the ts3server script. Don't know if this behaviour is wished, but we have to do a restart and after that a start which shouldn't be I think with ./ts3server restart. **Describe the bug** If an update is found, it applies the update, starting the server and then instantly stops it. So you have to manually restart the server. Saw it today. From ts3server version 3.2.0 to 3.3.0 (Don't know if relevant). **To Reproduce** Steps to reproduce the behaviour: 1. Have an outdated teamspeakserver 2. Set updateonstart to "on" 3. make a restart, so you want him to autoupdate and to start 4. See the update is working but not complete restart. **Expected behaviour** A clear and concise description of what you expected to happen. **Minimum Information** TeamSpeak 3 -> updated from 3.2.0 to 3.3.0 ```` Distro Details ================================= Distro: Ubuntu 16.04.5 LTS Arch: x86_64 Kernel: 4.15.0-29-generic Hostname: mightful-noobs.de tmux: tmux 2.1 GLIBC: 2.23 Performance Uptime: 12d, 21h, 56m Avg Load: 1.11, 0.98, 0.88 Mem: total used free cached available Physical: 15G 4.2G 434M 10G 10G Swap: 8.0G 189M 7.8G Storage ================================= Filesystem: /dev/md2 Total: 1008G Used: 16G Available: 941G LinuxGSM Total: 153M Serverfiles: 126M TeamSpeak 3 Server Details ================================= Server name: TeamSpeak 3 Server Server IP: 5.9.139.203:9987 dbplugin: ts3db_sqlite3 Status: ONLINE ts3server Script Details ================================= Service name: ts3server ts3server version: 180718 User: teamspeak Discord alert: off Email alert: off Pushbullet alert: off IFTTT alert: off Mailgun (email) alert: off Pushover alert: off Telegram alert: off Update on start: on Location: /home/teamspeak Config file: /home/teamspeak/serverfiles/ts3server.ini Backups ================================= No Backups created Ports ================================= Change ports by editing the parameters in: /home/teamspeak/serverfiles/ts3server.ini Useful port diagnostic command: netstat -atunp | grep ts3server DESCRIPTION DIRECTION PORT PROTOCOL > Voice INBOUND 9987 udp > ServerQuery INBOUND 10011 tcp > File transfer INBOUND 30033 tcp Status: ONLINE ```` scriptog from update: ``` Jul 23 13:33:06.587 ts3server: START: PASS: Started TeamSpeak 3 Server Jul 23 13:33:06.589 ts3server: START: PASS: command_start.sh exiting with code: 0 Jul 28 23:15:02.503 ts3server: UPDATE LinuxGSM: INFO: Updating LinuxGSM Jul 28 23:15:02.787 ts3server: UPDATE LinuxGSM: INFO: checking config _default.cfg: OK Jul 28 23:15:03.016 ts3server: UPDATE LinuxGSM: INFO: checking linuxgsm.sh: OK Jul 28 23:15:03.911 ts3server: UPDATE LinuxGSM: INFO: checking function check_deps.sh: UPDATE Jul 28 23:15:04.080 ts3server: UPDATE LinuxGSM: PASS: Downloading check_deps.sh: OK Jul 28 23:15:18.706 ts3server: UPDATE LinuxGSM: PASS: Updating functions Jul 28 23:15:18.709 ts3server: PASS: core_getopt.sh exiting with code: 0 Aug 04 23:15:02.510 ts3server: UPDATE LinuxGSM: INFO: Updating LinuxGSM Aug 04 23:15:02.782 ts3server: UPDATE LinuxGSM: INFO: checking config _default.cfg: OK Aug 04 23:15:02.932 ts3server: UPDATE LinuxGSM: INFO: checking linuxgsm.sh: OK Aug 04 23:15:19.094 ts3server: UPDATE LinuxGSM: PASS: Updating functions Aug 04 23:15:19.097 ts3server: UPDATE LinuxGSM: PASS: command_update_linuxgsm.sh exiting with code: 0 Aug 05 11:21:10.132 ts3server: STOP: PASS: Stopped TeamSpeak 3 Server Aug 05 11:21:13.316 ts3server: LOGS: INFO: Removing logs older than 7 days /home/teamspeak/log/script/ts3server-script-2018-07-17-15:00:39.log /home/teamspeak/log/script/ts3server-alert.log /home/teamspeak/log/script/ts3server-script-2018-07-20-14:30:16.log /home/teamspeak/log/script/ts3server-script-2018-07-20-08:20:17.log /home/teamspeak/log/script/ts3server-script-2018-07-23-13:32:56.log /home/teamspeak/log/script/ts3server-script-2018-07-19-10:56:55.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-17__13_00_48.898936_1.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-20__06_20_25.233177_0.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-20__12_30_26.181543_1.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-19__08_57_03.167147_1.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-17__13_00_48.898936_0.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-20__06_20_25.233177_1.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-19__08_57_03.167147_0.log /home/teamspeak/serverfiles/logs/ts3server_2018-07-20__12_30_26.181543_0.log Aug 05 11:21:14.062 ts3server: LOGS: Removed 14 log files Aug 05 11:21:15.063 ts3server: UPDATE: INFO: Checking for update: teamspeak.com Aug 05 11:21:15.886 ts3server: UPDATE: PASS: Checking for update: teamspeak.com Aug 05 11:21:20.402 ts3server: UPDATE: Update available Aug 05 11:21:20.405 ts3server: UPDATE: Current build: 3.2.0 Aug 05 11:21:20.407 ts3server: UPDATE: Available build: 3.3.0 Aug 05 11:21:20.409 ts3server: UPDATE: 3.2.0 > 3.3.0 Aug 05 11:21:21.111 ts3server: UPDATE: PASS: Downloading teamspeak3-server_linux_amd64-3.3.0.tar.bz2: OK Aug 05 11:21:22.048 ts3server: UPDATE: PASS: Extracting download: OK Aug 05 11:21:22.049 ts3server: UPDATE: Copying to /home/teamspeak/serverfiles Aug 05 11:21:25.452 ts3server: START: PASS: Started TeamSpeak 3 Server Aug 05 11:21:28.637 ts3server: STOP: PASS: Stopped TeamSpeak 3 Server Aug 05 11:21:28.666 ts3server: ALERT: INFO: Sending alert: Updated Aug 05 11:21:29.076 ts3server: UPDATE: PASS: command_update.sh exiting with code: 0 Aug 05 11:21:33.608 ts3server: STOP: ERROR: TeamSpeak 3 Server is already stopped Aug 05 11:21:36.045 ts3server: UPDATE: INFO: Checking for update: teamspeak.com Aug 05 11:21:36.708 ts3server: UPDATE: PASS: Checking for update: teamspeak.com Aug 05 11:21:37.718 ts3server: UPDATE: INFO: Current build: 3.3.0 Aug 05 11:21:37.720 ts3server: UPDATE: INFO: Available build: 3.3.0 ``` **Additional context** Functions are up2date cause I ran them every saturday night.
kerem 2026-02-27 02:57:46 +03:00
Author
Owner

@UltimateByte commented on GitHub (Aug 6, 2018):

Hello,

Thank you for reporting the bug, we will look into this issue.

<!-- gh-comment-id:410650308 --> @UltimateByte commented on GitHub (Aug 6, 2018): Hello, Thank you for reporting the bug, we will look into this issue.
Author
Owner

@xopez commented on GitHub (Aug 28, 2018):

Just attaching the shell output with latest functions and latest teamspeak, so it can be also seen there:
image001 1

<!-- gh-comment-id:416464449 --> @xopez commented on GitHub (Aug 28, 2018): Just attaching the shell output with latest functions and latest teamspeak, so it can be also seen there: ![image001 1](https://user-images.githubusercontent.com/28950736/44704249-ef395e80-aa9a-11e8-91ec-2ddc300780bf.png)
Author
Owner

@UltimateByte commented on GitHub (Aug 28, 2018):

Haha, thanks. I have to say the behavior is kind of ridiculous, made me laugh litterally.
That should be an easy fix. Though, I need to say, I do not recommend updateonstart, but rather an update cronjob. When I was using TeamSpeak, I had an update cron every monday at 4 in the night.

<!-- gh-comment-id:416674778 --> @UltimateByte commented on GitHub (Aug 28, 2018): Haha, thanks. I have to say the behavior is kind of ridiculous, made me laugh litterally. That should be an easy fix. Though, I need to say, I do not recommend updateonstart, but rather an update cronjob. When I was using TeamSpeak, I had an update cron every monday at 4 in the night.
Author
Owner

@xopez commented on GitHub (Aug 28, 2018):

I am just fine with that. I can't really just run a cron for that cause I have to manually stop tsdns and start it afterwarts. So I am everytime there if I restart teamspeak for an update^^

<!-- gh-comment-id:416677803 --> @xopez commented on GitHub (Aug 28, 2018): I am just fine with that. I can't really just run a cron for that cause I have to manually stop tsdns and start it afterwarts. So I am everytime there if I restart teamspeak for an update^^
Author
Owner

@UltimateByte commented on GitHub (Aug 28, 2018):

Oh, using tsdns, it explains everything. I whish there would be a way to implement this into LinuxGSM but it's been discussed already, I really cannot see how it would be possible.

<!-- gh-comment-id:416678384 --> @UltimateByte commented on GitHub (Aug 28, 2018): Oh, using tsdns, it explains everything. I whish there would be a way to implement this into LinuxGSM but it's been discussed already, I really cannot see how it would be possible.
Author
Owner

@xopez commented on GitHub (Aug 28, 2018):

Don't know if you understand german and if it should discussed here, but that could be a lead.
Just leave it here for you.
http://krischan.eu/index.php/2013/06/04/howto-tsdns-startscript-autostartscript/

tsdns_startscript.sh:

#!/bin/bash
#
# Copyright (c) TeamSpeak Systems GmbH. All rights reserved.
#
### BEGIN INIT INFO
# Provides: tsdnsserver-linux-x86
# Required-Start: $local_fs $network
# Required-Stop: $local_fs $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: TSDNS Server
# Description: Resolves hostnames to IP and port numbers
### END INIT INFO


if [ -e "tsdnsserver_linux_x86" ]; then
BINARYNAME="tsdnsserver_linux_x86"
else
BINARYNAME="tsdnsserver_linux_x86" #für 64-Bit tsdnsserver_linux_amd64


fi


BINARYPATH="/dir/to/server/tsdns" #richtiges Verzeichnis setzen

cd "${BINARYPATH}"
LIBRARYPATH="$(pwd)"


case "$1" in
start)
if [ -e tsdnsserver.pid ]; then
if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then
echo "The server is already running, try restart or stop..."
exit 1
else
echo "tsdnsserver.pid found, but no server running. Possibly your previously started server crashed..."
echo "Please view the logfile for details."
rm tsdnsserver.pid
fi
fi
if [ "${UID}" = "0" ]; then
echo "WARNING: For security reasons we advise: DO NOT RUN THE SERVER AS ROOT!!!"
for c in $(seq 1 10); do
echo -n "!"
sleep 1
done
echo "!"
fi
echo "Starting the TSDNS Server."
if [ -e "$BINARYNAME" ]; then
if [ ! -x "$BINARYNAME" ]; then
echo "${BINARYNAME} is not executable, trying to set it..."
chmod u+x "${BINARYNAME}"
fi
if [ -x "$BINARYNAME" ]; then
export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH}"
"./${BINARYNAME}" > /dev/null &
echo $! > tsdnsserver.pid
echo "TSDNS Server started, for details please view the log file..."
else
echo "${BINARNAME} is not exectuable, cannot start TSDNS Server..."
fi
else
echo "Could not find ${BINARYNAME}, aborting..."
exit 5
fi
;;
stop)
if [ -e tsdnsserver.pid ]; then
echo -n "Stopping the TSDNS Server."
if ( kill -TERM $(cat tsdnsserver.pid) 2> /dev/null ); then
for c in $(seq 1 300); do
if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then
echo -n "."
sleep 1
else
break
fi
done
fi
if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then
echo "Server is not shutting down cleanly - killing..."
kill -KILL $(cat tsdnsserver.pid)
else
echo "done"
fi
rm tsdnsserver.pid
else
echo "No server runing (tsdnsserver.pid is missing)..."
exit 7
fi
;;
update)
if [ -e tsdnsserver.pid ]; then
echo "Updating the TSDNS Server."
export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH}"
"./${BINARYNAME}" --update > /dev/null &
echo "TSDNS Server updated, for details please view the log file..."
else
echo "No server runing (tsdnsserver.pid is missing)..."
exit 7
fi
;;
restart)
$0 stop && $0 start || exit 1
;;
status)
if [ -e tsdnsserver.pid ]; then
if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then
echo "Server is running."
else
echo "Server seems to have died."
fi
else
echo "No server running (tsdnsserver.pid is missing)..."
fi
;;
*)
echo "Usage: ${0} {start|stop|update|restart|status}"
exit 2
esac
exit 0

Autostartscript – tsdns

#!/bin/sh
# chkconfig: 2345 99 01
# description: Teamspeak 3 TSDNS-Server
### BEGIN INIT INFO
# Provides: teamspeak3dns
# Required-Start: $all
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Description: Teamspeak 3 TSDNS-Server
### END INIT INFO

USER="teamspeak"
DIR="/dir/to/Server" # richtiges Verzeichnis setzen



case "$1" in
start)
su $USER -c "${DIR}/tsdns/tsdns_startscript.sh start"
;;
stop)
su $USER -c "${DIR}/tsdns/tsdns_startscript.sh stop"
;;
restart)
su $USER -c "${DIR}/tsdns/tsdns_startscript.sh restart"
;;
status)
su $USER -c "${DIR}/tsdns/tsdns_startscript.sh status"
;;
*)
echo "Benutze: `basename $0` {start|stop|restart|status}" >&2
exit 1
;;
esac
exit 0
<!-- gh-comment-id:416683004 --> @xopez commented on GitHub (Aug 28, 2018): Don't know if you understand german and if it should discussed here, but that could be a lead. Just leave it here for you. http://krischan.eu/index.php/2013/06/04/howto-tsdns-startscript-autostartscript/ tsdns_startscript.sh: ``` #!/bin/bash # # Copyright (c) TeamSpeak Systems GmbH. All rights reserved. # ### BEGIN INIT INFO # Provides: tsdnsserver-linux-x86 # Required-Start: $local_fs $network # Required-Stop: $local_fs $network # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: TSDNS Server # Description: Resolves hostnames to IP and port numbers ### END INIT INFO if [ -e "tsdnsserver_linux_x86" ]; then BINARYNAME="tsdnsserver_linux_x86" else BINARYNAME="tsdnsserver_linux_x86" #für 64-Bit tsdnsserver_linux_amd64 fi BINARYPATH="/dir/to/server/tsdns" #richtiges Verzeichnis setzen cd "${BINARYPATH}" LIBRARYPATH="$(pwd)" case "$1" in start) if [ -e tsdnsserver.pid ]; then if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then echo "The server is already running, try restart or stop..." exit 1 else echo "tsdnsserver.pid found, but no server running. Possibly your previously started server crashed..." echo "Please view the logfile for details." rm tsdnsserver.pid fi fi if [ "${UID}" = "0" ]; then echo "WARNING: For security reasons we advise: DO NOT RUN THE SERVER AS ROOT!!!" for c in $(seq 1 10); do echo -n "!" sleep 1 done echo "!" fi echo "Starting the TSDNS Server." if [ -e "$BINARYNAME" ]; then if [ ! -x "$BINARYNAME" ]; then echo "${BINARYNAME} is not executable, trying to set it..." chmod u+x "${BINARYNAME}" fi if [ -x "$BINARYNAME" ]; then export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH}" "./${BINARYNAME}" > /dev/null & echo $! > tsdnsserver.pid echo "TSDNS Server started, for details please view the log file..." else echo "${BINARNAME} is not exectuable, cannot start TSDNS Server..." fi else echo "Could not find ${BINARYNAME}, aborting..." exit 5 fi ;; stop) if [ -e tsdnsserver.pid ]; then echo -n "Stopping the TSDNS Server." if ( kill -TERM $(cat tsdnsserver.pid) 2> /dev/null ); then for c in $(seq 1 300); do if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then echo -n "." sleep 1 else break fi done fi if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then echo "Server is not shutting down cleanly - killing..." kill -KILL $(cat tsdnsserver.pid) else echo "done" fi rm tsdnsserver.pid else echo "No server runing (tsdnsserver.pid is missing)..." exit 7 fi ;; update) if [ -e tsdnsserver.pid ]; then echo "Updating the TSDNS Server." export LD_LIBRARY_PATH="${LIBRARYPATH}:${LD_LIBRARY_PATH}" "./${BINARYNAME}" --update > /dev/null & echo "TSDNS Server updated, for details please view the log file..." else echo "No server runing (tsdnsserver.pid is missing)..." exit 7 fi ;; restart) $0 stop && $0 start || exit 1 ;; status) if [ -e tsdnsserver.pid ]; then if ( kill -0 $(cat tsdnsserver.pid) 2> /dev/null ); then echo "Server is running." else echo "Server seems to have died." fi else echo "No server running (tsdnsserver.pid is missing)..." fi ;; *) echo "Usage: ${0} {start|stop|update|restart|status}" exit 2 esac exit 0 ``` Autostartscript – tsdns ``` #!/bin/sh # chkconfig: 2345 99 01 # description: Teamspeak 3 TSDNS-Server ### BEGIN INIT INFO # Provides: teamspeak3dns # Required-Start: $all # Required-Stop: # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Description: Teamspeak 3 TSDNS-Server ### END INIT INFO USER="teamspeak" DIR="/dir/to/Server" # richtiges Verzeichnis setzen case "$1" in start) su $USER -c "${DIR}/tsdns/tsdns_startscript.sh start" ;; stop) su $USER -c "${DIR}/tsdns/tsdns_startscript.sh stop" ;; restart) su $USER -c "${DIR}/tsdns/tsdns_startscript.sh restart" ;; status) su $USER -c "${DIR}/tsdns/tsdns_startscript.sh status" ;; *) echo "Benutze: `basename $0` {start|stop|restart|status}" >&2 exit 1 ;; esac exit 0 ``` <blockquote><div><strong><a href="http://krischan.eu/index.php/2013/06/04/howto-tsdns-startscript-autostartscript/">HowTo: Teamspeak 3 DNS – TSDNS Startscript / Autostartscript | : : Alexander's personal mind sinkhole</a></strong></div></blockquote>
Author
Owner

@UltimateByte commented on GitHub (Sep 10, 2018):

I think the best way to implement tsdns would be as a separate server.
This script helps understanding how it works. Might be doable. Feel free to open another issue. But resolving this bug raised here would be the most important. :)

<!-- gh-comment-id:420073903 --> @UltimateByte commented on GitHub (Sep 10, 2018): I think the best way to implement tsdns would be as a separate server. This script helps understanding how it works. Might be doable. Feel free to open another issue. But resolving this bug raised here would be the most important. :)
Author
Owner

@xopez commented on GitHub (Feb 23, 2019):

I just update the current behaviour:
Just simple.
Downloading update.
Start's after extracting the update.
Stops the server and starts again.

grafik

<!-- gh-comment-id:466638651 --> @xopez commented on GitHub (Feb 23, 2019): I just update the current behaviour: Just simple. Downloading update. Start's after extracting the update. Stops the server and starts again. ![grafik](https://user-images.githubusercontent.com/28950736/53285575-57bf7a80-3762-11e9-9942-82a3949012d5.png)
Author
Owner

@dgibbs64 commented on GitHub (Mar 31, 2019):

@xopez thanks for this. I have just completed a refactor of the updater. The functionality of the updater causes the server to restart after an update. So because the update is run during a restart it will look like it stops and starts a couple of times. These should be no adverse effects to this and it looks like the server does successfully restart.

<!-- gh-comment-id:478390977 --> @dgibbs64 commented on GitHub (Mar 31, 2019): @xopez thanks for this. I have just completed a refactor of the updater. The functionality of the updater causes the server to restart after an update. So because the update is run during a restart it will look like it stops and starts a couple of times. These should be no adverse effects to this and it looks like the server does successfully restart.
Author
Owner

@lock[bot] commented on GitHub (Apr 2, 2020):

This thread has been automatically locked since there has not been any recent activity after it was closed. Please open a new issue for related bugs.

<!-- gh-comment-id:607892885 --> @lock[bot] commented on GitHub (Apr 2, 2020): This thread has been automatically locked since there has not been any recent activity after it was closed. Please open a new issue for related bugs.
Sign in to join this conversation.
No labels
Atomic
Epic
cannot reproduce
command: backup
command: console
command: debug
command: details
command: fast-dl
command: install
command: mods
command: monitor
command: post-details
command: restart
command: send
command: start
command: stop
command: update
command: update-lgsm
command: validate
command: wipe
distro: AlmaLinux
distro: Arch Linux
distro: CentOS
distro: Debian
distro: Fedora
distro: RedHat
distro: Rocky Linux
distro: Ubuntu
distro: openSUSE
engine: goldsrc
engine: source
game: 7 Days to Die
game: ARMA 3
game: Ark: Survival Evolved
game: Assetto Corsa
game: Avorion
game: BATTALION: Legacy
game: Barotrauma
game: Battalion 1944
game: Battlefield 1942
game: Black Mesa: Deathmatch
game: Blade Symphony
game: Call of Duty 2
game: Call of Duty 4
game: Call of Duty: United Offensive
game: Counter-Strike 1.6
game: Counter-Strike 2
game: Counter-Strike: Global Offensive
game: Counter-Strike: Source
game: Day of Infamy
game: Dayz
game: Death Match Classic
game: Don't Starve Together
game: ET: Legacy
game: Eco
game: Factorio
game: Factorio
game: Garry's Mod
game: Half-Life
game: Hurtword
game: Insurgecy
game: Insurgecy
game: Insurgency: Sandstorm
game: Just Cause 3
game: Killing Floor
game: Killing Floor 2
game: Left 4 Dead 2
game: Minecraft
game: Minecraft Bedrock
game: Mordhau
game: Multi Theft Auto
game: Mumble
game: Natural Selection 2
game: No More Room in Hell
game: Pavlov VR
game: Post Scriptum
game: Project Zomboid
game: Quake 3
game: QuakeWorld
game: Red Orchestra: Ostfront 41-45
game: Return to Castle Wolfenstein
game: Rising World
game: Rust
game: San Andreas Multiplayer
game: Satisfactory
game: Soldat
game: Soldier of Fortune 2
game: Squad
game: Squad 44
game: Starbound
game: Stationeers
game: Sven Co-op
game: Team Fortress 2
game: Teamspeak 3
game: Teeworlds
game: Terraria
game: The Front
game: Unreal Tournament 2004
game: Unreal Tournament 3
game: Unreal Tournament 99
game: Unturned
game: Valheim
game: Wurm Unlimited
game: Zombie Master Reborn
game: label missing
good first issue
help wanted
info: alerts
info: dependency
info: docker
info: docs
info: email
info: query
info: steamcmd
info: systemd
info: tmux
info: website
info: website
needs more info
outcome: duplicate
outcome: issue resolved
outcome: issue resolved
outcome: issue unresolved
outcome: pr accepted
outcome: pr rejected
outcome: unconfirmed
outcome: wontfix
outcome: wrong forum
potential-duplicate
priority
pull-request
type: bug
type: feature
type: feature
type: feature request
type: game server request
type: refactor
waiting response
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/LinuxGSM#1552
No description provided.